<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__qspi__command__t_8mode__bits" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_qspi_command_t.mode_bits</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__qspi__command__t_8mode__bits_1aaea78d2eed5d55bf6a19b3a4933520d2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__qspi_1gaddc93a79f0708fd53897d0c37bc7544b">cyhal_qspi_bus_width_t</ref></type>
        <definition />
        <argsstring />
        <name>bus_width</name>
        <briefdescription>
<para>Bus width for mode bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="154" />
      </memberdef>
      <memberdef id="structcyhal__qspi__command__t_8mode__bits_1af7bd60b75b29d79b660a2859395c1a24" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__qspi_1ga0633be58b4427d173d1f94c4e6e4e058">cyhal_qspi_size_t</ref></type>
        <definition />
        <argsstring />
        <name>size</name>
        <briefdescription>
<para>Mode bits size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="155" />
      </memberdef>
      <memberdef id="structcyhal__qspi__command__t_8mode__bits_1a2063c1608d6e0baf80249c42e2be5804" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition />
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Mode bits value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="156" />
      </memberdef>
      <memberdef id="structcyhal__qspi__command__t_8mode__bits_1a075ae3d2fc31640504f814f60e5ef713" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition />
        <argsstring />
        <name>disabled</name>
        <briefdescription>
<para>Mode bits phase skipped if disabled is set to true. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="157" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="158" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="153" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="153" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__qspi__command__t_8mode__bits_1aaea78d2eed5d55bf6a19b3a4933520d2" virt="non-virtual"><scope>cyhal_qspi_command_t.mode_bits</scope><name>bus_width</name></member>
      <member prot="public" refid="structcyhal__qspi__command__t_8mode__bits_1a075ae3d2fc31640504f814f60e5ef713" virt="non-virtual"><scope>cyhal_qspi_command_t.mode_bits</scope><name>disabled</name></member>
      <member prot="public" refid="structcyhal__qspi__command__t_8mode__bits_1af7bd60b75b29d79b660a2859395c1a24" virt="non-virtual"><scope>cyhal_qspi_command_t.mode_bits</scope><name>size</name></member>
      <member prot="public" refid="structcyhal__qspi__command__t_8mode__bits_1a2063c1608d6e0baf80249c42e2be5804" virt="non-virtual"><scope>cyhal_qspi_command_t.mode_bits</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>